dav1d: Dav1dPicture Struct Reference

dav1d

Data Fields
Dav1dPicture Struct Reference

`#include <picture.h>`

## Data Fields
Dav1dSequenceHeader * | seq_hdr
Dav1dFrameHeader * | frame_hdr
void * | data [3]
ptrdiff_t | stride [2]
Dav1dPictureParameters | p
Dav1dDataProps | m
Dav1dContentLightLevel * | content_light
Dav1dMasteringDisplay * | mastering_display
Dav1dITUTT35 * | itut_t35
uintptr_t | reserved [4]
| reserved for future use More...
struct Dav1dRef * | frame_hdr_ref
| Dav1dFrameHeader allocation origin. More...
struct Dav1dRef * | seq_hdr_ref
| Dav1dSequenceHeader allocation origin. More...
struct Dav1dRef * | content_light_ref
| Dav1dContentLightLevel allocation origin. More...
struct Dav1dRef * | mastering_display_ref
| Dav1dMasteringDisplay allocation origin. More...
struct Dav1dRef * | itut_t35_ref
| Dav1dITUTT35 allocation origin. More...
uintptr_t | reserved_ref [4]
| reserved for future use More...
struct Dav1dRef * | ref
| Frame data allocation origin. More...
void * | allocator_data
| pointer managed by the allocator More...

## Field Documentation

## ◆ allocator_data

void* Dav1dPicture::allocator_data

pointer managed by the allocator

## ◆ content_light

Dav1dContentLightLevel* Dav1dPicture::content_light

High Dynamic Range Content Light Level metadata applying to this picture, as defined in section 5.8.3 and 6.7.3

## ◆ content_light_ref

struct Dav1dRef* Dav1dPicture::content_light_ref

Dav1dContentLightLevel allocation origin.

## ◆ data

void* Dav1dPicture::data[3]

Pointers to planar image data (Y is [0], U is [1], V is [2]). The data should be bytes (for 8 bpc) or words (for 10 bpc). In case of words containing 10 bpc image data, the pixels should be located in the LSB bits, so that values range between [0, 1023]; the upper bits should be zero'ed out.

## ◆ frame_hdr

Dav1dFrameHeader* Dav1dPicture::frame_hdr

## ◆ frame_hdr_ref

struct Dav1dRef* Dav1dPicture::frame_hdr_ref

Dav1dFrameHeader allocation origin.

## ◆ itut_t35

Dav1dITUTT35* Dav1dPicture::itut_t35

ITU-T T.35 metadata as defined in section 5.8.2 and 6.7.2

## ◆ itut_t35_ref

struct Dav1dRef* Dav1dPicture::itut_t35_ref

Dav1dITUTT35 allocation origin.

## ◆ m

Dav1dDataProps Dav1dPicture::m

## ◆ mastering_display

Dav1dMasteringDisplay* Dav1dPicture::mastering_display

High Dynamic Range Mastering Display Color Volume metadata applying to this picture, as defined in section 5.8.4 and 6.7.4

## ◆ mastering_display_ref

struct Dav1dRef* Dav1dPicture::mastering_display_ref

Dav1dMasteringDisplay allocation origin.

## ◆ p

Dav1dPictureParameters Dav1dPicture::p

## ◆ ref

struct Dav1dRef* Dav1dPicture::ref

Frame data allocation origin.

## ◆ reserved

uintptr_t Dav1dPicture::reserved[4]

reserved for future use

## ◆ reserved_ref

uintptr_t Dav1dPicture::reserved_ref[4]

reserved for future use

## ◆ seq_hdr

Dav1dSequenceHeader* Dav1dPicture::seq_hdr

## ◆ seq_hdr_ref

struct Dav1dRef* Dav1dPicture::seq_hdr_ref

Dav1dSequenceHeader allocation origin.

## ◆ stride

ptrdiff_t Dav1dPicture::stride[2]

Number of bytes between 2 lines in data[] for luma [0] or chroma [1].

The documentation for this struct was generated from the following file:

- dav1d/picture.h